Linux V4.0 Released!


Posting rules: It shouldn't need saying, but... play nice. Please keep your discussions civil. You can disagree, just don't be disagreeable. And, of course, all of the usual stuff like no spamming. Tex adds: I'll be rigorously enforcing this as we go along. We're probably going to be a small community in a little lifeboat, so we can't have members at each others' throats. This is for the sake of the project as a whole. So when you post, pretend you're speaking in person with your very wealthy auntie who has always treated you wonderfully and currently lists you prominently in her will. I won't be tossing anyone out of the forums because we are all in this together (except spammers: immediate membership cancelation), but I'll delete suspect posts right away.


June 18, 2013: Today we release our Linux versions of LightZone V4.0.0 to you our membership. Once again, please join me in congratulating the Dev Team on a fantastic job. You will find the link for the release notes, legal stuff, and the download link in the sidebar to the left. Please read the text! As the Linux downloads work rather differently than the Windows one, you will need to follow the instructions we have provided. Use the forums here to discuss any issues you may have with the downloads or the program itself. More... If there are problems, let's please keep them in-house here until we have a few days to get things sorted out. We promise that we'll do everything we can to address these problems as quickly as we can, but since we all have day jobs and are scattered across the planet, it may take a few hours for us to respond. Please be patient.

flann4lz
Thank You :) !

Thank You :) !
I installed it on the Ubuntubased LinuxMint 15 64bit without any problems. A first start works, more testing after work (I have to go now).

cch44
Congratulation !!!

Tahnk you too ;-)

Donalbain
Great!

Just tested the Ubuntu-Version for a few minutes. Works great and seems quite a bit faster than 3.9. Thanks to all involved!

Wishlist for the future: Would be perfect to add more common shortcuts to LZ, e.g. ctrl-mousewheel for zooming, middle mouse button for panning, etc.

marceloanelli
Tested on linux opensuse

12.1 & 12.3, Works nice!! Thank you all, dream team. Now we need to spread the word and social networks...

damarko
ubuntu 12.04

First I would again like to say thanks to everybody who participated in the project. Great stuff!

I have dual boot machine and already tried windows version and it works very well. There was no raw tone curve for one of my cameras but I managed to create one following Dougs instructions (thanks Doug).

Problem is that I am still kind of slow about linux and I can't install LZ on Ubuntu 12.04. When I copy the first line to the terminal nicely it says "sorry try again".
I tried to change the line from 13.04 to 12.04 but it didn't help.

Could someone help please?

flann4lz
I had also some problems with

I had also some problems with the first line under Linux/Ubuntu/LinuxMint. I changed the line, because I think it was a problem with copy&paste by me, but maybe it's a problem with the 1st line?
After that it works for me.
[UPDATE] Sorry I can't remember was I changed and I don't find it on the history. But it was someting on the end of the first line. Maybe that helps you.

Aries
Hello Damarko,

Hello Damarko,
could you please copy and paste output from the terminal when you run the first command?

Bruno C
Great !

He guys and girls, It works pretty good on linux mint 15 64 bit.
Everything is right with my jpeg and NEF of D700.
Not ok for now with my RAF (of fuji X100s) ... we have to wait for a new update of dcraw .... but i'll be waiting with my jpg shootings.
Thanks a lot, a great future for linux users !!!!!
and perhaps on day a french translation ...

Wendelin
Works on Mint 13, 64 bit, but ...

Hi guys, I installed it on Linux Mint 13, based on Ubuntu 12.04.
No issues during the installation process, so far. But, when running the program, it was very unstable with several crashes here and there.

Now the good news :-),
after replacing my system's "openjdk-6-jre" with "openjdk-7-jre",
and updating my libraw5 to the latest version, for the proper import of Panasonic GH2 RAW files (*.rw2),
everything works fine and stable, right now.

Great job guys!!!

damarko
Aries

here is terminal output I get ...

damir@zvjerac:~$ sudo wget -O - http://download.opensuse.org/repositories/home:/ktgw0316:/LightZone/xUbu... | sudo apt-key add -
[sudo] password for damir: [sudo] password for damir:
Sorry, try again.
[sudo] password for damir:
Sorry, try again.
[sudo] password for damir:

Wendelin
damarko

this output

"Sorry. try again
[sudo] password for damir:"

just means, you need the correct admin password, and it will repeat over and over, as long as you enter a wrong password.

damarko
password

Wendelin

Password is O.K. Whatever other action I perform I don't have a problem. There must be somethig else, because I tried to type several dozens times :)

Tex, is it possible to move this posts about my problem to appropriate forum? This is not the right place to discuss it. Sorry I started it here.

Vincent Rok
Terminal error

Hi,

 

I've this problem too : my terminal doesn't recognize my password.

Why isn't it possible to simply install LightZone with the Ubuntu Logitheque, like all others softs ?

And, is it normal to cannot copy & paste texts in the terminal ?

Thanks

 

Vincent

 

andr345
hello damarko

This is a concatenate command - can you try to split it and run one by one?

wget 'http://download.opensuse.org/repositories/home:/ktgw0316:/LightZone/xUbuntu_13.04/Release.key'

(note the 'ticks', you should get a file named Release.key in your actual directory)

sudo apt-key add Release.key

(you imported the Release.key)

I'm not an Ubuntu specialist, but don't you need your personal password instead of admin password, when using sudo?

damarko
Solved

Few minutes ago I managed to install LZ on Ubuntu 13.04
As I am Ubuntu rookie the only thing that worked was type:

$ sudo bash

in the terminal and supply my own root password.
After that I managed to install LZ on Ubuntu 13.04

Thanks for your help andr345 :)

FrankL
Problem with liblzma

Installed fine on Suse 12.3 but wouldn't run - error said "liblzma" was not installed. I checked in Yast and it was! After a bit of head scratching I created a link from /usr/lib/liblzma.so.5 to the existing file /usr/lib64/liblzma.so.5.0.4 then it ran OK.

Hope this may help someone else. By the way it is great to have Lightzone back. When I upgraded from Suse 11.4 to 12.2 I found my Lightzone 3.9 wouldn't run because of Java incompatibilities. I really missed it so many thanks to everyone involved in its resurrection.

andr345
Hello Frank,

there has been a fix five days ago - basic problem was, that /lib64 and /usr/lib64 were not part of the searchpath for liblzma.so

https://github.com/zawel11/LightZone/blob/82421ca6b2d1e552e4cf34be6dc1b1...

It seems that this fix has not been committed to the main branch.

Edit: you might want to replace both /usr/bin/lightzone and /opt/lightzone/lightzone, although just the first one is used by the desktop icon and is first in $PATH

sattvakarma
Thanks!

Thanks to the development team and every one who has been involved in making this dream come true :)

Best wishes to one and all in the lightzone community at large!

pythonista
Running on slackware 14.0 64bit

I downloaded the rpm binary from http://download.opensuse.org/repositories/home:/ktgw0316:/LightZone/Fedo..., ran rpm2tgz on it, and then installed the resulting tarball as per the normal slack way. Seems to be running fine. I didn't bother with the libraries in that dir, as slackware is normally fully populated as a dev machine by default.

guyr34
Problem when applying styles ?

Thank you for the software.
When i apply a style (skin glow 2 for example) nothing happen.
I need to undo + redo to see the effects. (debian sid amd64)

forest_bear59
Thank You ...

... for the enormous work! I have installed the new version and already tested a bit. In the beginning it was a bit tricky, as I am working with Arch Linux. But now it's running and doing very well so far.

mantra
a new era

hi
i'm so happy , a beautiful piece of software did not die!
indeed is in health , hope to see a gpu video card support and 64bit
thanks !

PS where can i add some bugs reports?
under w7 64bit with some canon raw files the orign button doesn't work and some error in the italian translate

tex
You can report Italian

You can report Italian translation errors in the same place you reported the Canon bug. I have a Quadro 3800 installed, and don't expect to see it "do" anything until I try some big, big files in it, which i haven't done yet.

Rich52
LightZone 4.0 for Fedora 19 soon?

file /usr/lib64/liblzma.so.5 from install of liblzma5-5.0.4-1.1.x86_64 conflicts with file from package xz-libs-5.1.2-4alpha.fc19.x86_64

I tried installing it using the F18 link. . . .Oh well maybe you'll have F19 out and running soon. . .I hope.

hpmickey
Hello Rich,

Hello Rich,
I just have registered in to tell you, that I tried to install the package to Fedora 18 and got the same conflict. Finally, I succeeded while doing it a very dangerous way: save/backup liblzma.so.* somewhere, force uninstall liblzma library (using rpm, not yum), copy the liblzma.so.* backups to their original places, then install lightzone package, then copy liblzma.so.* backups back again.

However, do not try it if you are not pretty sure what you are doing. You must not restart when the lzma libs are uninstalled because system.d, yum and rpm depend on them and you won't be able to log to the system again!

Apart from this small ( ;) ) installation annoyance, the LightZone works better than ever before. Many thanks to all developers for their effort!

Cheers,
Michal (leaving for weekend)

scottsdaleAZ
Internal Error Code 7 when loading Lightzone 4 in Win 7

When I try to load Lightzone 4 on a HP Pavilion dv7 running Win 7 I get "internal error code 7". I have Adobe Lightroom 5 on the HP, no problem. Any ideas?

joegiampaoli
Segmentation Fault

First of all I want to thank you for providing the linux community a great piece of software like LightZone.

I do have a problem though, just as title says, I get a "Segmentation Error" when trying to launch the program.

I am on Debian 7, using the provided repository for that specific version of Debian. When I installed it and tried to run it I got the following in terminal:


joe@gh-node1:~$ lightzone
Starting LightZone version 4.0.0 ...
with options :
Segmentation fault

That's all, any ideas or tips? Thanks!

mjhuurre
Ubuntu 12.04 and v4.0

Instead of sudo wget -O - ... did wget -O - ... and entered account password (it doesn't appear to ask for it because of the concatenation, just gives a blinking cursor). Worked. Other option would be to say first sudo -i or sudo bash, do installation commands as a root user and then exit.

Another "glitch" was java version:
http://lightzoneproject.org/comment/1473#comment-1473

Otherwise seems to be working.

-- mjhuurre

eyesparky
Won't execute: xfce on Ubuntu 12.04 in a chroot chromebook

I am getting this error when I try to run the app:

Error occurred during initialization of VM
Could not reserve enough space for object heap
Could not create the Java virtual machine.

Newly exploring linux so first time I have encountered this. Running darktable, eclipse, gimp etc no problem. Any ideas welcomed, as I would love to try this out. Thanks.

tom.k
 

 

try this:

tom@debian:~$ export _JAVA_OPTIONS="-Xmx256M"

tom@debian:~$ lightzone
Starting LightZone version 4.0.0 ...
with options :
Picked up _JAVA_OPTIONS: -Xmx256M
This is LightZone 4.0.0 ()
Verifying Libraries
Initializing Engine Utilities
Max Memory: 238616576
Total Memory: 81199104
(...)

 

regards.

/tom

eyesparky
Thanks for this, it worked a

Thanks for this, it worked a treat. I was using the wrong command from another forum to try and do that. Is there a way to make it stick to the application so I can launch it from the desktop?

Cheers,

eyesparky
I edited the shell script for

I edited the shell script for the application and it is now working every time. Thanks for your help.

Anybody
hey everyone! I just found

hey everyone! I just found out this awesome program, although I'm having some problems.. anyone up to help me?

I'm using Ubuntu 12.04 LTS

During installing I've got this:

W: Nepavyko parsiųsti http://ppa.launchpad.net/stiff.ru/qmmp-releases/ubuntu/dists/precise/mai... 404  Not Found

W: Nepavyko parsiųsti http://ppa.launchpad.net/stiff.ru/qmmp-releases/ubuntu/dists/precise/mai... 404  Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.

 

Nepavyko parsiųsti - wasn't able to download.

Although I still can startup the programm, I almost can't do nothing, 'cause each time I try to save, it crashes...

Any help?..

 

Cheers!

dougzak
Fantastic Program - Thanks Lightzone Team

LightZone Team,

I have been a Linux user for more than 2 years now.........a distro hopper for a while but have settled down with Linux Mint 15 (Cinnamon 64 bit).  

Prior to finding Lightzone, I was a regular user of ShowFoto (part of the Digikam package) and GIMP.  Found a reference to Lightzone in a blog where I was researching highlight and shadow modification.  Blogger referred to Lightzone as photo editing on steroids...........I was intrigued.

Followed your instructions for installing and it has worked flawlessly on my system.  After several weeks of use, I am a convert.......now using exclusively for my edits.  For photo management I will still use DigiKam and GIMP will be used if I have the need to work with layers..........otherwise, I am sticking with Lightzone.  A well thought out and powerful program.........thanks for making such a gem.

Dougzak

dzs13
I found LZ while searching

I found LZ while searching for a linux replacement for Lightroom and Picasa. Installed it on Ubuntu 13.04, works flawlessly. In the past weeks kinda fell in love with it.  All the kudos to the project team for saving this awesome piece of sw.

I am a software engineer and photo enthusiast and father of two :) - so a bit tight on schedule, but I would happily participate in translating/localization LZ to Hungarian - that is, if you have plans and/or means for spreading the word to non-english speaking audiences.

legione
Having a tarball would be usefull

I use Chakra Linux, and in its repositories there aren't the tools for compiling the tarball (ant, install4j). I managed to run lightzone using the rpm (downloaded from the link provided by pythonista), but I think it would be more useful for many users to have a tarball.

For who want to know how I run the rpm, I've just decompressed it and edited the file "lightzone" in  /usr/bin/  changing the paths at the end of the file.

Link by pythonista: http://download.opensuse.org/repositories/home:/ktgw0316:/LightZone/Fedora_18/x86_64/

EDIT: By the way thank you very much! Lightzone is the best program in linux to handle the raw of the x-trans sensors by Fuji! And don't use windows for photo editing is just priceless!

Log in or register to post comments